%define pkg_name        IO-Zlib
%define pkg_version     1.07
%define rpm_pkg_version 1.07
%define rpm_pkg_release 1.n0i.9

Summary:       IO:: style interface to Compress::Zlib
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TO/TOMHUGHES/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Compress::Zlib)}


%description
"IO::Zlib" provides an IO:: style interface to Compress::Zlib and hence to
gzip/zlib compressed files.  It provides many of the same methods as the
IO::Handle interface.  The main advantage is that you can use an IO::Zlib
object in much the same way as an IO::File object so you can have common
code that doesn't know which sort of file it is using.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.07-1.n0i.9
- version 1.07

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.05

* Thu Jul 21 2005 Marius Feraru <altblue@n0i.net> 1.04-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 1.04-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 1.04-1.n0i.5
- version 1.04

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 1.01-3.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 1.01-2.n0i.3
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 1.01-1.n0i.2
- rebuilt on perl 5.8.2 / Fedora 1 Devel (tobe FC2)

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 1.01-0.n0i.1
- version 1.01
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
